## org.bn.compiler.parser.model
Class AsnEnum

    java.lang.Object
      org.bn.compiler.parser.model.AsnEnum

    public class AsnEnum

extends java.lang.Object

Field Summary
`java.lang.Boolean` `isEnum`
`java.lang.String` `name`
`AsnNamedNumberList` `namedNumberList`
`java.lang.String` `snaccName`

Constructor Summary
`AsnEnum()`

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### namedNumberList

    public AsnNamedNumberList namedNumberList

### snaccName

    public java.lang.String snaccName

### isEnum

    public java.lang.Boolean isEnum

Constructor Detail

### AsnEnum

    public AsnEnum()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`